Bug 26664 - [GM45] [KMS] xrandr can't change display brightness
[GM45] [KMS] xrandr can't change display brightness
Product: DRI
Classification: Unclassified
Component: DRM/Intel
Other All
: medium normal
Assigned To: Chris Wilson
Depends on:
  Show dependency treegraph
Reported: 2010-02-19 15:36 UTC by darkbasic
Modified: 2012-05-12 06:19 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Note You need to log in before you can comment on or make changes to this bug.
Description darkbasic 2010-02-19 15:36:35 UTC
Kernel 2.6.33-rc8-git4, xf86-video-intel-2.10.0, mesa 7.7, libdrm 2.4.18, xorg-server-1.7.5. I'm using gentoo on a Samsung x360.

# xrandr --output LVDS1 --set BACKLIGHT_CONTROL legacy
X Error of failed request:  BadName (named color or font does not exist)
  Major opcode of failed request:  147 (RANDR)
  Minor opcode of failed request:  11 (RRQueryOutputProperty)
  Serial number of failed request:  37
  Current serial number in output stream:  37

/proc/acpi/video/GFX0/DD04/brightness does not work too.

The only way to change brightness is with this trick:
# lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
# setpci -s 00:02.0 F4.B=xx (a value between 00 and FF, where FF is 100%)

This bug had been already reported in year 2008 at kernel.org: http://bugzilla.kernel.org/show_bug.cgi?id=12174

I thinked it is a better place to report it, if it isn't please close it.
Comment 1 Jesse Barnes 2010-04-06 11:39:14 UTC
Should be fixed by https://patchwork.kernel.org/patch/81187/ I hope.
Comment 2 Chris Wilson 2010-07-24 04:23:27 UTC
Presuming fixed by linked patch, now upstream.
Comment 3 darkbasic 2010-07-24 05:36:44 UTC
Where can I find latest backlight bits (including this patch)? drm-next?
Comment 4 Ben Hutchings 2010-07-24 19:48:32 UTC
(In reply to comment #2)
> Presuming fixed by linked patch, now upstream.

Which repository and branch? I don't see it in Dave Airlie's repo.
Comment 5 Ben Hutchings 2010-08-01 12:33:05 UTC
(In reply to comment #2)
> Presuming fixed by linked patch, now upstream.

I'm reopening because that patch does not appear to have been applied (it's not visible in drm-2.6 branches drm-fixes,drm-fixes-945gm,drm-linus or in linux-next). If this has been fixed in a different way, please identify the commit.
Comment 6 Chris Wilson 2010-09-06 11:16:29 UTC
That patch is insufficient as some machines require use of ACPI not the BLC PWM to adjust the panel brightness. I have a plan to introduce a backlight property and use the ACPI interface internally. Almost works.
Comment 7 darkbasic 2011-02-03 03:14:18 UTC
Solved with this patch: https://github.com/xonatius/samsung-backlight

See also: https://bugzilla.kernel.org/show_bug.cgi?id=12174

Mainstream kernel (2.6.38) still does not work.
Comment 8 Chris Wilson 2012-05-12 06:19:07 UTC
Should be fixed by building the upstream samsung-laptop drivers.